<!DOCTYPE html>
<html lang="es" xmlns:th="https://www.thymeleaf.org">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Skydash Admin</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="../../vendors/feather/feather.css">
  <link rel="stylesheet" href="../../vendors/ti-icons/css/themify-icons.css">
  <link rel="stylesheet" href="../../vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- Plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../../css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../../images/logoSanBorja.png" />
</head>

<body>
  <div class="container-scroller">
<!-- Fragmento nav -->
    <layouttag th:include="fragments/common :: nav-fragment" />

    <!-- partial -->
    <div class="container-fluid page-body-wrapper" >

	<!-- Fragmento theme-setting-wrapper-->
	<layouttag th:include="fragments/common :: theme-setting-wrapper-fagment" />
	
    <!-- Fragmento sidebar -->
    <layouttag th:include="fragments/common :: sidebar-fragment" />
    
    
    <!-- Principal -->
    <div class="main-panel">
        <div class="content-wrapper">
        <div class="row">
          <div class="col-lg-3 grid-margin stretch-card"></div>
          <div class="col-lg-6 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                	<div th:if="${Estacionamiento.getEsta_Id() == null}">
                  		<h4 class="card-title">Insertar Estacionamiento</h4>     		                  	
		                  <p class="card-description">
		                    Insertar los datos del estacionamiento 
		                  </p>
		                  <div th:if="${mensaje != null}"> 
		                  	  <div class="alert alert-danger" th:text="${mensaje}"></div>
		                  </div>
		                  <form  class="forms-sample" th:action="@{/configuracion/estacionamientoRegistro/}+${idZona}" 
		                  th:object="${Estacionamiento}" method="POST" accept-charset="UTF-8">							  
		                    <div class="form-group">
		                      <label for="exampleInputDescripcion">Nombre</label>
		                      <input type="text" class="form-control" id="Descripcion" placeholder="Nombre"
		                      th:field="*{esta_Nombre}" th:value="${esta_Nombre}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('esta_Nombre')}" th:errors="*{esta_Nombre}"></div>
		                    </div>         		                 
							<div class="form-group">
		                      <label for="exampleInputGeometry">Geometry</label>
		                      <input type="text" class="form-control" id="Geometry" placeholder="Geometry"
		                      th:field="*{esta_Geometry}" th:value="${esta_Geometry}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('esta_Geometry')}" th:errors="*{esta_Geometry}"></div>
		                    </div>
		  					<div class="form-group">
		                      <label for="exampleInputCodigo">Código</label>
		                      <input type="text" class="form-control" id="Codigo" placeholder="Codigo"
		                      th:field="*{esta_Codigo}" th:value="${esta_Codigo}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('esta_Codigo')}" th:errors="*{esta_Codigo}"></div>
		                    </div>
		                    <div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{esta_Discapacitado}" th:value="${esta_Discapacitado}" id="defaultCheck"> 
							    Discapacitado
							  </label>
							</div>
		                    <div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{esta_Disponible}" th:value="${esta_Disponible}" id="defaultCheck"> 
							    Disponible
							  </label>
							</div>
		                    <button type="submit" class="btn btn-primary mr-2" style="padding: 0.65rem 1.2rem;">Crear</button>
		                    <a th:href="@{/configuracion/estacionamiento/}+${idZona}" class="btn btn-light" style="padding: 0.65rem 1.2rem;">Cancelar</a>
		                  </form>
                  		</div> 
                  	<div th:if="${Estacionamiento.getEsta_Id() != null}">
                  		<h4 class="card-title">Actualizar Estacionamiento</h4>	                  	
		                  <p class="card-description">
		                    Actualizar los datos del estacionamiento 
		                  </p>
		                  <div th:if="${mensaje != null}"> 
		                  	  <div class="alert alert-danger" th:text="${mensaje}"></div>
		                  </div>
		                  <form class="forms-sample" th:action="@{/configuracion/estacionamientoRegistros/} + ${Estacionamiento.esta_Id}" th:object="${Estacionamiento}" method="POST">
		                  	<input type="hidden" th:field="*{esta_Id}"></input>
		                  	<input type="hidden" th:field="*{zona_Id}"></input>
		                    
		                    <div class="form-group">
		                       <label for="exampleInputNombre">Nombre</label>
		                      <input type="text" th:field="*{esta_Nombre}" class="form-control" id="exampleInputNombre" placeholder="">
		                      <div class="alert alert-warning" th:errors="*{esta_Nombre}"></div>
		                    </div>
		                    <div class="form-group">
		                      <label for="exampleInputGeometry">Geometry</label>
		                      <input type="text" class="form-control" id="Geometry" placeholder=""
		                      th:field="*{esta_Geometry}" >
		                      <div class="alert alert-warning" th:errors="*{esta_Geometry}"></div>
		                    </div>
		                	<div class="form-group">
		                       <label for="exampleInputCodigo">Código</label>
		                      <input type="text" th:field="*{esta_Codigo}" class="form-control" id="exampleInputCodigo" placeholder="">
		                      <div class="alert alert-warning" th:errors="*{esta_Codigo}"></div>
		                    </div>
		                    <div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{esta_Discapacitado}" th:value="${esta_Discapacitado}" id="defaultCheck"> 
							    Discapacitado
							  </label>
							</div>
		                    <div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{esta_Disponible}" th:value="${esta_Disponible}" id="defaultCheck"> 
							    Disponible
							  </label>
							</div>
		                    <button type="submit" class="btn btn-primary mr-2">Actualizar</button>
		                    <a th:href="@{/configuracion/estacionamiento/}+${Estacionamiento.zona_Id}" class="btn btn-light" style="padding: 0.65rem 1.2rem;">Cancelar</a>
		                  </form>
                  	</div>  
                </div>
              </div>
            </div>
        </div>
		 <layouttag th:include="fragments/common :: footer" />
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- plugins:js -->
  <script src="../../vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- Plugin js for this page -->
  <!-- End plugin js for this page -->
  <!-- inject:js -->
  <script src="../../js/off-canvas.js"></script>
  <script src="../../js/hoverable-collapse.js"></script>
  <script src="../../js/template.js"></script>
  <script src="../../js/settings.js"></script>
  <script src="../../js/todolist.js"></script>
  <!-- endinject -->
</body>

</html>
